
TYPO3.Flow - Feature # 36830

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-05-04 Assigned To:
Updated: 2012-05-15 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Implement Browser API in Functional Tests
Description

... based on DomCrawler

Associated revisions
Revision 18e7219f - 2012-05-15 12:57 - Sebastian Kurfuerst

[FEATURE] Inclusion of DomCrawler in Functional Test Browser

In order to run meaningful end-to-end functional tests, we need a way
to navigate through HTML by clicking links and submitting forms.

We use DomCrawler to make this possible. This needs to be included
separately.

Change-Id: I44d69f108fe91625f52817e538216e736d30659b
Related: #36776
Resolves: #36830
Releases: 1.1

Revision 18e2542b - 2012-05-15 13:00 - Robert Lemke

[TASK] Added dependency on DomCrawler

Change-Id: I887ce9b38ffef8a4a2ea1bc0f293d6f3945f2c09
Related: #36830
Releases: 1.1

History
#1 - 2012-05-04 07:52 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10933

#2 - 2012-05-15 09:12 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10933

#3 - 2012-05-15 12:57 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10933

#4 - 2012-05-15 14:38 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:18e7219fc970e498e98098e14c4df3ede7923a6a.

2015-08-03 2/2

http://review.typo3.org/10933
http://review.typo3.org/10933

